11-26-17 12:47 PM
632 ... 1819202122 ...
tools
  1. AmritD's Avatar
    So the version of Uber I m using will not work after the 23rd of May. So should I install the patched version? (which one) or just get the latest apk? (version no. ?)
    Thanks!

    Z30STA100-2/10.3.2.2639
    04-25-16 12:42 AM
  2. unknown_johny's Avatar
    I successfully patched and installed the latest Uber on my PP but the map does not display. Any thought pls?

    Attachment 398112

    Posted via Passport Silver Edition 
    You can try using unpatched APK. The app will look different (e.g. won't show fare estimates), but it will display the map
    04-25-16 04:33 AM
  3. MTL's Avatar
    If you're just an Uber rider, download the Uber rider app right from SNAP or the Google Play Store (if you've gone through Cobalt's setup) as the rider app works perfectly well without patching.
    it is not working for me

    It keeps telling me I don't have the latest version and doesn't allow me to request a ride. It does open perfectly and show maps and options. But cannot request rides because it keeps asking me to upgrade and I installed the latest version from the play store


    Posted using my Q10
    04-25-16 06:57 AM
  4. rdobosz's Avatar
    i have the same issue
    04-25-16 12:50 PM
  5. hkgnyc's Avatar
    "I just want to let everyone know that Cobalt's latest patcher can enable map integration now, and therefore the map will show up on apps like Lyft, Gett and Via (the ones I tested). Just make sure you use the latest patcher, install the latest Google services apk file and update your patcher's apktool/framework."

    How do I find the "latest patcher?" All I can find is the one I already have, 1.4. How do I "update my patcher's apktool/framework?"
    The latest patcher is 1.5 beta. You can find in cobalt's thread. Latest apktool can be found via google.

    Posted via CB10
    04-25-16 12:57 PM
  6. msalexandra's Avatar
    I found those things, went through the steps outlined and it doesn't work. I get the message "error package cannot be recompiled."
    04-27-16 04:50 PM
  7. rdobosz's Avatar
    i had a similar error. can anyone confirm if they were able to get it working? and if so could you possibly upload the apk?
    05-01-16 08:28 PM
  8. BBVegasGirl80's Avatar
    I would like to offer a suggestion, to create an updated APK for Uber since I got this message. (
    Working Latest Patched Lyft, Uber Partner, and Uber App-img_20160502_165107.png

    Posted via CB10
    05-02-16 06:51 PM
  9. Memo Gallon's Avatar
    Hey! What's the last upgrade plz

    Posted via CB10
    05-02-16 09:04 PM
  10. nerji's Avatar
    hi

    the download links on box to the ola (3.4.17) and other patched apks arent working.

    someone fix them please.

    thanks,

    ren
    05-03-16 09:05 AM
  11. msalexandra's Avatar
    Sadly, I am going to have to give up. I tried hard but can't make it work and the guys in Cobalt's thread couldn't or wouldn't help.

    The patched uber driver app works but does not show the in-app maps. I either have to run uber on my old phone or use that phone for the surge maps. I'm sure when Lyft forces me to update again their in-app maps won't work for me either. My old phone is just not powerful enough and can't switch between apps.

    I will probably buy a used Android phone or tablet just for Uber/Lyft driving. It's a cheaper solution than a Priv.
    05-04-16 03:13 PM
  12. Drew Oswalt's Avatar
    If you use tmobile or att, there are many options for inexpensive devices. Do a search on Amazon for Blu phones. If you are going to get a device mainly for lyft/uber, those are decent options. Or you can get a used one from tmobile and do monthly payments.

    Sadly, I am going to have to give up. I tried hard but can't make it work and the guys in Cobalt's thread couldn't or wouldn't help.

    The patched uber driver app works but does not show the in-app maps. I either have to run uber on my old phone or use that phone for the surge maps. I'm sure when Lyft forces me to update again their in-app maps won't work for me either. My old phone is just not powerful enough and can't switch between apps.

    I will probably buy a used Android phone or tablet just for Uber/Lyft driving. It's a cheaper solution than a Priv.


    Passport (red)/Z30-5/Z10-3/Nexus 5 (6.0)
    05-04-16 03:26 PM
  13. hkgnyc's Avatar
    Sadly, I am going to have to give up. I tried hard but can't make it work and the guys in Cobalt's thread couldn't or wouldn't help.

    The patched uber driver app works but does not show the in-app maps. I either have to run uber on my old phone or use that phone for the surge maps. I'm sure when Lyft forces me to update again their in-app maps won't work for me either. My old phone is just not powerful enough and can't switch between apps.

    I will probably buy a used Android phone or tablet just for Uber/Lyft driving. It's a cheaper solution than a Priv.
    I can tell you that people "couldn't" rather than "wouldn't" help. For those asking for others to patch or fix the apps for them, it's unlikely to happen because patching apps with integrated maps now require the use of private/personal Google APIs. Anyone who patches the app and then shares it with others wil be warned by Google and risk having their Google account terminated. Furthermore, once it is shared with one person there is no guarantee that it won't be forwared to others. So it's very understandable why people aren't able to patch the app for you even if they want to.

    I can confirm (at least on my BB Passport) that the latest Uber (passenger) app is fully functional without patching. Lyft, Gett and Via works with patching (with Play Services Patcher 1.5 Beta, latest apktool and latest Cobalt Google files). As indicated on Cobalt's thread, I patched Uber Driver/Partner (purely as a favor to msalexandra -- surprised you say no one helped) using the latest approach and the app compiled properly. However, I cannot attest to its functionality after patching as I am not an Uber driver.
    05-04-16 04:19 PM
  14. rdobosz's Avatar
    what latest uber passenger apk did you use? might be able to share a link
    05-04-16 06:02 PM
  15. hkgnyc's Avatar
    what latest uber passenger apk did you use? might be able to share a link
    Not sure what kind of link you need as the latest is always in the Google Play Store
    05-04-16 06:05 PM
  16. MTL's Avatar
    I have installed the latest Apk from GP and it doesn't work. It keeps telling me I don't have the latest version and that the one I have is not supported. Which is untrue because I am downloading the actual one

    Posted using my Q10
    05-04-16 06:11 PM
  17. hkgnyc's Avatar
    I have installed the latest Apk from GP and it doesn't work. It keeps telling me I don't have the latest version and that the one I have is not supported. Which is untrue because I am downloading the actual one

    Posted using my Q10
    I don't have issues with Uber (the current version in GP store; v3.99.2 released on May 3rd 2016) on my Passport. Maybe the issue is specific to certain phone models.
    05-04-16 06:18 PM
  18. msalexandra's Avatar
    @hkgnyc: Patching the app without sharing it is not much of a "favor." I understand why you didn't want to send it to me, as you don't know what I might do with it. But simply telling me you patched it does not help me in the slightest. That's like telling a starving person whose stove doesn't work that your kitchen works just fine. It is not like I wanted someone to do it for me because I am lazy. I did everything as instructed, even though it was difficult for me, and it didn't work.

    Perhaps you can send me a copy of the correct patcher 1.5 and the correct apktool in case I downloaded the wrong thing. I really doubt that, but it's worth trying.

    To everyone else: the issue is with the Uber app for DRIVERS. The passenger app is not a problem.

    I really love the Passport but now I wish I hadn't bought it.
    05-06-16 02:22 AM
  19. msalexandra's Avatar
    @hkgnyc: How about I email you my API key and you patch the app for me using my key? Then the patched version will have my key, not yours, and there will be no potential harm to you from anything I do with it.

    I still want to figure out why what I am doing doesn't work because I will have to patch every time Uber updates their app. But at least that gives me a couple of months to work on it without having to buy a new phone.
    05-06-16 02:51 AM
  20. Barbareren's Avatar
    Hi, I'm having issues with the latest version of the Uber app I was forced to download, in order to continue to use Uber. The app simply will not let me sign in. No matter what, I keep getting the 'network error' message. I'm so f@cking sick of this crap. Stupid apps forcing you to buy iCr@p or Sh!tdroid. Yeah, yeah, very 'mature' I know. I'm just fed off of BlackBerry sitting with their thumbs up their fat bums, not giving one single f@ck about BB10 and its users.

    Passport SQW100-1 OS 10.3.2.2876
    LyoobaBerry likes this.
    05-07-16 10:59 AM
  21. viking62's Avatar
    Hi I have a Blackberry Z30 (STA100-2) running the OS 10.3.2.2836.
    I have been trying to install Uber downloaded from the Play store but it does not work. It keeps saying connection error.
    So I tried to register through the website and I got the email confirming my registration. However, when I go back to the app and I sign in, it says to downolad the app......but it is already there....
    I saw your suggestion on how to install the app, but since I already have the Play store installed (and thus also Google account and the Blackberry Google ID) do I have to reinstall all these plus the Google services? Or I may skip these two and download and install only the remaining file?
    Thanks for any help you can give me...
    05-07-16 04:16 PM
  22. niumxp's Avatar
    New version from today works well. No patch needed on my Q10

    Posted via CB10
    05-07-16 04:46 PM
  23. hkgnyc's Avatar
    Hi I have a Blackberry Z30 (STA100-2) running the OS 10.3.2.2836.
    I have been trying to install Uber downloaded from the Play store but it does not work. It keeps saying connection error.
    So I tried to register through the website and I got the email confirming my registration. However, when I go back to the app and I sign in, it says to downolad the app......but it is already there....
    I saw your suggestion on how to install the app, but since I already have the Play store installed (and thus also Google account and the Blackberry Google ID) do I have to reinstall all these plus the Google services? Or I may skip these two and download and install only the remaining file?
    Thanks for any help you can give me...
    I haven't experienced these errors before but I think network & connection errors are an Uber app issue not a blackberry or Google services issue. Try searching network error and connection error on Google. There are resources on Uber's website to resolve. Also try contacting Uber. Worse case, use m.uber.com instead of the app (you need to contact Uber to unlock this mobile browser version for you to access).

    Posted via CB10
    05-07-16 04:52 PM
  24. Drew Oswalt's Avatar
    For the uber driver app, there's no easy solution to make it work.

    As for the passenger app, delete it first. Then download and install it. It seems many are installing over a patched version.

    Passport (red)/Z30-5/Z10-3/Nexus 5 (6.0)
    05-07-16 05:07 PM
  25. MTL's Avatar
    I have deleted the app and installed the new one several times and it still nothing

    I've been using the Web one m.uber.com


    Posted using my Q10
    05-07-16 05:18 PM
632 ... 1819202122 ...

Similar Threads

  1. App review thread
    By rodney0905 in forum BlackBerry 10 Apps
    Replies: 17
    Last Post: 04-25-15, 03:00 PM
  2. Question about email on both, Classic and Passport
    By luigieagle in forum BlackBerry Classic
    Replies: 10
    Last Post: 04-24-15, 04:48 AM
  3. How can I fix app error 552 on my BlackBerry?
    By CrackBerry Question in forum Ask a Question
    Replies: 2
    Last Post: 04-22-15, 02:02 PM
  4. Amazon Fire TV remote app.
    By artlu629 in forum More for your BlackBerry 10 Phone!
    Replies: 1
    Last Post: 04-22-15, 11:05 AM
  5. How to use hindi font for reading and writing on blackberry curve 8520
    By CrackBerry Question in forum Ask a Question
    Replies: 1
    Last Post: 04-22-15, 02:05 AM
LINK TO POST COPIED TO CLIPBOARD